import { AfterContentInit, ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges, ViewContainerRef } from '@angular/core';
import { Subject } from 'rxjs';
import { INgxBindIOConfig } from '../interfaces/ngx-bind-io-config.interface';
import { INgxBindIODirective } from '../interfaces/ngx-bind-io-directive.interface';
import { NgxBindInputsService } from '../services/ngx-bind-inputs.service';
import { NgxBindIODebugService } from '../services/ngx-bind-io-debug.service';
export declare class BindInputsDirective implements Partial<INgxBindIODirective>, OnChanges, AfterContentInit, OnDestroy {
    viewContainerRef: ViewContainerRef;
    private _ngxBindIOConfig;
    private _ngxBindInputsService;
    private _ngxBindIODebugService;
    private _ref;
    bindInputs: INgxBindIOConfig | undefined;
    excludeInputs: string[] | string;
    includeInputs: string[] | string;
    innerComponent: any;
    hostComponent: any;
    inputs: {
        innerKeys: string[];
        hostKeys: string[];
    };
    usedInputs: {
        [key: string]: string;
    };
    destroyed$: Subject<boolean>;
    innerSimpleChanges: SimpleChanges;
    constructor(viewContainerRef: ViewContainerRef, _ngxBindIOConfig: INgxBindIOConfig, _ngxBindInputsService: NgxBindInputsService, _ngxBindIODebugService: NgxBindIODebugService, _ref: ChangeDetectorRef);
    ngOnChanges(simpleChanges: SimpleChanges): void;
    ngAfterContentInit(): void;
    bindAll(): void;
    ngOnDestroy(): void;
    bindValue(innerKey: string, value: any): void;
    detectComponents(): void;
    debugIsActive(): boolean;
}
